crypto-pubkey-0.2.4: Public Key cryptography

Portability | Good
Stability | experimental
Maintainer | Vincent Hanquez <vincent@snarc.org>
Safe Haskell | None

Crypto.PubKey.RSA.Prim

Contents

- decrypt primitive
- encrypt primitive

Description

Synopsis

- dp :: Maybe Blinder -> PrivateKey -> ByteString -> ByteString
- ep :: PublicKey -> ByteString -> ByteString

# decrypt primitive

dp :: Maybe Blinder -> PrivateKey -> ByteString -> ByteString Source

Compute the RSA decrypt primitive. if the p and q numbers are available, then dpFast is used otherwise, we use dpSlow which only need d and n.

# encrypt primitive

ep :: PublicKey -> ByteString -> ByteString Source

Compute the RSA encrypt primitive